at.chipkarte.client.dmp.soap

## Class BetreuterPatient

- Object
- - at.chipkarte.client.dmp.soap.BetreuterPatient

-     public class BetreuterPatient
      extends Object

  Enthält die Daten zu einem betreuten Patienten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BetreuterPatient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusschreibungSeit()` Datum, zu dem eine DMP Bindung vom DMP Backend ausgeschrieben wurde.
    `String` | `getDmpCode()` Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
    `String` | `getEinschreibungSeit()` Datum, zu dem eine DMP Bindung vom DMP Backend eingeschrieben wurde.
    `String` | `getFachgebietsCode()` Code des Fachgebietes, für das ein Betreuungsverhältnis für den Patienten besteht.
    `SvPerson` | `getPatient()` Beschreibung des Patienten.
    `String` | `getSvtCode()` Code des Sozialversicherungsträgers, für den das Betreuungsverhältnis für den Patienten besteht.
    `String` | `getUntersuchungsdatum()` Untersuchungsdatum des zuletzt ausgefüllten DMP Blattes zu diesem Betreuungsverhältnis.
    `void` | `setAusschreibungSeit(String ausschreibungSeit)`
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setEinschreibungSeit(String einschreibungSeit)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setPatient(SvPerson patient)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setUntersuchungsdatum(String untersuchungsDatum)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BetreuterPatient

          public BetreuterPatient()

  - ### Method Detail

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes, für das ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getFachgebiete()`.
      Format: maximal 2-stellig.
      Returns:
        FachgebietsCode

    - #### getPatient

          public SvPerson getPatient()

      Beschreibung des Patienten.
      Returns:
        SvPerson

    - #### getSvtCode

          public String getSvtCode()

      Code des Sozialversicherungsträgers, für den das Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getSVTs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Sozialversicherungsträgers

    - #### getEinschreibungSeit

          public String getEinschreibungSeit()

      Datum, zu dem eine DMP Bindung vom DMP Backend eingeschrieben wurde.
      Versorgt, sobald der Betreuungsstatus auf "Ein" (siehe `BetreuungsStatus#EINGESCHRIEBEN`) gesetzt wird.
      Format: "TT.MM.JJJJ"
      Returns:
        Datum der Einschreibung

    - #### getAusschreibungSeit

          public String getAusschreibungSeit()

      Datum, zu dem eine DMP Bindung vom DMP Backend ausgeschrieben wurde.
      Versorgt, sobald der Betreuungsstatus auf "Aus" (siehe `BetreuungsStatus#AUSGESCHRIEBEN`) gesetzt wird.
      Format: "TT.MM.JJJJ"
      Returns:
        Datum der Ausschreibung

    - #### getUntersuchungsdatum

          public String getUntersuchungsdatum()

      Untersuchungsdatum des zuletzt ausgefüllten DMP Blattes zu diesem Betreuungsverhältnis.
      Format: "TT.MM.JJJJ"
      Returns:
        Untersuchungsdatum

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### setPatient

          public void setPatient(SvPerson patient)

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### setEinschreibungSeit

          public void setEinschreibungSeit(String einschreibungSeit)

    - #### setAusschreibungSeit

          public void setAusschreibungSeit(String ausschreibungSeit)

    - #### setUntersuchungsdatum

          public void setUntersuchungsdatum(String untersuchungsDatum)